Update a council sage (soft update)
curl --request PATCH \
--url {protocol}://{host}:{port}/pl/council-sage/{council_sage_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"role": "<string>",
"instructions": "<string>",
"results_instructions": "<string>",
"intro_question": "<string>",
"duration": 123,
"tone": "<string>",
"meta_data": {},
"chat_avatar": "<string>",
"audio": true,
"language_code": "<string>",
"followup_days": 123
}
'import requests
url = "{protocol}://{host}:{port}/pl/council-sage/{council_sage_id}"
payload = {
"name": "<string>",
"role": "<string>",
"instructions": "<string>",
"results_instructions": "<string>",
"intro_question": "<string>",
"duration": 123,
"tone": "<string>",
"meta_data": {},
"chat_avatar": "<string>",
"audio": True,
"language_code": "<string>",
"followup_days": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
role: '<string>',
instructions: '<string>',
results_instructions: '<string>',
intro_question: '<string>',
duration: 123,
tone: '<string>',
meta_data: {},
chat_avatar: '<string>',
audio: true,
language_code: '<string>',
followup_days: 123
})
};
fetch('{protocol}://{host}:{port}/pl/council-sage/{council_sage_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "62437",
CURLOPT_URL => "{protocol}://{host}:{port}/pl/council-sage/{council_sage_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'role' => '<string>',
'instructions' => '<string>',
'results_instructions' => '<string>',
'intro_question' => '<string>',
'duration' => 123,
'tone' => '<string>',
'meta_data' => [
],
'chat_avatar' => '<string>',
'audio' => true,
'language_code' => '<string>',
'followup_days' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "{protocol}://{host}:{port}/pl/council-sage/{council_sage_id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"role\": \"<string>\",\n \"instructions\": \"<string>\",\n \"results_instructions\": \"<string>\",\n \"intro_question\": \"<string>\",\n \"duration\": 123,\n \"tone\": \"<string>\",\n \"meta_data\": {},\n \"chat_avatar\": \"<string>\",\n \"audio\": true,\n \"language_code\": \"<string>\",\n \"followup_days\": 123\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("{protocol}://{host}:{port}/pl/council-sage/{council_sage_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"role\": \"<string>\",\n \"instructions\": \"<string>\",\n \"results_instructions\": \"<string>\",\n \"intro_question\": \"<string>\",\n \"duration\": 123,\n \"tone\": \"<string>\",\n \"meta_data\": {},\n \"chat_avatar\": \"<string>\",\n \"audio\": true,\n \"language_code\": \"<string>\",\n \"followup_days\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("{protocol}://{host}:{port}/pl/council-sage/{council_sage_id}")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"role\": \"<string>\",\n \"instructions\": \"<string>\",\n \"results_instructions\": \"<string>\",\n \"intro_question\": \"<string>\",\n \"duration\": 123,\n \"tone\": \"<string>\",\n \"meta_data\": {},\n \"chat_avatar\": \"<string>\",\n \"audio\": true,\n \"language_code\": \"<string>\",\n \"followup_days\": 123\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"role": "<string>",
"role_level": "<string>",
"instructions": "<string>",
"results_instructions": "<string>",
"context_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"intro_question": "<string>",
"duration": 123,
"version": 123,
"sage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"council_id": "<string>",
"results_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"meta_data": {},
"active": true,
"tone": "<string>",
"status_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chat_avatar": "<string>",
"language_code": "<string>",
"followup_days": 123,
"audio": true,
"is_demo": true,
"is_internal": true,
"language": true,
"test_results": {}
}Council Sage
Update a council sage (soft update)
Creates a new version of the council sage.
PATCH
/
pl
/
council-sage
/
{council_sage_id}
Update a council sage (soft update)
curl --request PATCH \
--url {protocol}://{host}:{port}/pl/council-sage/{council_sage_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"role": "<string>",
"instructions": "<string>",
"results_instructions": "<string>",
"intro_question": "<string>",
"duration": 123,
"tone": "<string>",
"meta_data": {},
"chat_avatar": "<string>",
"audio": true,
"language_code": "<string>",
"followup_days": 123
}
'import requests
url = "{protocol}://{host}:{port}/pl/council-sage/{council_sage_id}"
payload = {
"name": "<string>",
"role": "<string>",
"instructions": "<string>",
"results_instructions": "<string>",
"intro_question": "<string>",
"duration": 123,
"tone": "<string>",
"meta_data": {},
"chat_avatar": "<string>",
"audio": True,
"language_code": "<string>",
"followup_days": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
role: '<string>',
instructions: '<string>',
results_instructions: '<string>',
intro_question: '<string>',
duration: 123,
tone: '<string>',
meta_data: {},
chat_avatar: '<string>',
audio: true,
language_code: '<string>',
followup_days: 123
})
};
fetch('{protocol}://{host}:{port}/pl/council-sage/{council_sage_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "62437",
CURLOPT_URL => "{protocol}://{host}:{port}/pl/council-sage/{council_sage_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'role' => '<string>',
'instructions' => '<string>',
'results_instructions' => '<string>',
'intro_question' => '<string>',
'duration' => 123,
'tone' => '<string>',
'meta_data' => [
],
'chat_avatar' => '<string>',
'audio' => true,
'language_code' => '<string>',
'followup_days' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "{protocol}://{host}:{port}/pl/council-sage/{council_sage_id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"role\": \"<string>\",\n \"instructions\": \"<string>\",\n \"results_instructions\": \"<string>\",\n \"intro_question\": \"<string>\",\n \"duration\": 123,\n \"tone\": \"<string>\",\n \"meta_data\": {},\n \"chat_avatar\": \"<string>\",\n \"audio\": true,\n \"language_code\": \"<string>\",\n \"followup_days\": 123\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("{protocol}://{host}:{port}/pl/council-sage/{council_sage_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"role\": \"<string>\",\n \"instructions\": \"<string>\",\n \"results_instructions\": \"<string>\",\n \"intro_question\": \"<string>\",\n \"duration\": 123,\n \"tone\": \"<string>\",\n \"meta_data\": {},\n \"chat_avatar\": \"<string>\",\n \"audio\": true,\n \"language_code\": \"<string>\",\n \"followup_days\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("{protocol}://{host}:{port}/pl/council-sage/{council_sage_id}")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"role\": \"<string>\",\n \"instructions\": \"<string>\",\n \"results_instructions\": \"<string>\",\n \"intro_question\": \"<string>\",\n \"duration\": 123,\n \"tone\": \"<string>\",\n \"meta_data\": {},\n \"chat_avatar\": \"<string>\",\n \"audio\": true,\n \"language_code\": \"<string>\",\n \"followup_days\": 123\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"role": "<string>",
"role_level": "<string>",
"instructions": "<string>",
"results_instructions": "<string>",
"context_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"intro_question": "<string>",
"duration": 123,
"version": 123,
"sage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"council_id": "<string>",
"results_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"meta_data": {},
"active": true,
"tone": "<string>",
"status_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chat_avatar": "<string>",
"language_code": "<string>",
"followup_days": 123,
"audio": true,
"is_demo": true,
"is_internal": true,
"language": true,
"test_results": {}
}Authorizations
User JWT token passed in Authorization header
Headers
Required JWT permission: council_sage (informational only -- enforced server-side)
Path Parameters
UUID of the council sage
Body
application/json
Experience level:
entry-- entry-level / internjunior-- 0-2 yearsmid-- 2-5 yearssenior-- 5-10 yearsprincipal-- 10+ years / staffother-- fallback
Available options:
entry, junior, mid, senior, principal, other Response
Council sage updated
Council sage record (from CouncilSageModel.to_dict())